Bug 507496 - Gambas packages not correctly packaged
Gambas packages not correctly packaged
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gambas (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 20:42 EDT by Steven Drinnan
Modified: 2009-07-16 03:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.14.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 03:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Drinnan 2009-06-22 20:42:10 EDT
Description of problem:
RPM's packaged incorrectly, as a result the RPM's that gambas creates do not install properly.


Version-Release number of selected component (if applicable):
2.13.1

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:
gambas packages are packaged incorrectly.

gambas-gb-sdl

should be
   gambas-gb-sdl
   gambas-gb-sdl-sound

gambas-gb-database

should be
   gambas-gb-database-mysql

etc





   
Expected results:
should be made according to the specs on http://gambasdoc.org/help/howto/package?view

Additional info:
Packages need to made as in the specs as the RPM maker to make packages created in gambas will nit install (dependency resolution failed) 

For example my beta project you can test with http://www.sjdsoft.hk/Linux/Software/linsoftware/educational/phonicscatch/phonicscatch-0.1.29-1.noarch.rpm

I have to manually install the dependencies my self and them force the installation.

Many thanks for fixing this.
Comment 1 Fedora Update System 2009-07-10 23:21:39 EDT
gambas2-2.14.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gambas2-2.14.0-1.fc10
Comment 2 Fedora Update System 2009-07-10 23:21:44 EDT
gambas2-2.14.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gambas2-2.14.0-1.fc11
Comment 3 Fedora Update System 2009-07-16 03:20:44 EDT
gambas2-2.14.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-07-16 03:35:28 EDT
gambas2-2.14.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.